# m_jvmdebug.h File Reference

## Detailed Description

Mode class for the JVMDebug mode.

Definition in file m_jvmdebug.h.

`#include "dll.h"`
`#include "m_mode_base.h"`
`#include "socket.h"`
`#include "record.h"`
`#include "data.h"`

Include dependency graph for m_jvmdebug.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::Mode

## Classes

class | Barry::JVMModulesList
class | Barry::JVMModulesEntry
class | Barry::JVMThreadsList
class | Barry::JVMThreadsEntry
class | Barry::Mode::JVMDebug
| The main interface class to the java program debugger protocol. More...